Bug 173240 - buildroot rpaths hardcoded in binaries
buildroot rpaths hardcoded in binaries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomeprint22 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 10:37 EST by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 06:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-11-15 10:37:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
Check the libgnomeprint22 package with the rpminfo script from
http://people.redhat.com/twoerner/rpminfo

The output contains references to the rpm-buildroots





Version-Release number of selected component (if applicable):
libgnomeprint22-2.12.1-3

How reproducible:
Always

Steps to Reproduce:
1.rpminfo -r libgnomeprint22-2.12.1-3.src.rpm
2.
3.
  

Actual Results:  libgnomeprint22-2.12.1-3.i386.rpm
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-clip.so     RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-draft.so    RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-frgba.so    RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-multipage.so        RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-position.so RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-reorder.so  RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-rotate.so   RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-select.so   RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/filters/libgnomeprint-zoom.so     RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/libgnomeprintcups.so      RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/libgnomeprintlpd.so       RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/transports/libgnomeprint-custom.so        RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/transports/libgnomeprint-file.so  RPATH /usr/src/build/636080-i386/install/usr/lib
/usr/lib/libgnomeprint/2.12.1/modules/transports/libgnomeprint-lpr.so   RPATH /usr/src/build/636080-i386/install/usr/lib

Expected Results:  no rpath used at all

Additional info:
Comment 1 Karsten Hopp 2007-07-10 06:55:13 EDT
libgnomeprint22-2.18.0-3.fc8 look ok, closing...

Note You need to log in before you can comment on or make changes to this bug.